
public class Fraction
{
    private int numerator;
    private int denominator;
    
    /**
     * @param n ...
     * @param d ...
     * @throws ZeroDenomException if ...
     * @thorws NegativeDenomException if ....
     */
    public Fraction(int n, int d) throws ZeroDenomException, NegativeDenomException
    {
        /*
        if (d == 0) {
            throw new ZeroDenomException();
        }
        if (d < 0) {
            throw new NegativeDenomException(d);
        }
        */
        setDenominator(d);
        numerator = n;
        denominator = d;
    }
    
    public void setNumerator(int n) {
        numerator = n;
    }
    
    public void setDenominator(int denom) throws ZeroDenomException, NegativeDenomException {
        if (denom == 0) {
            throw new ZeroDenomException();
        }
        if (denom < 0) {
            throw new NegativeDenomException(denom);
        }
        denominator = denom;
    }
    
    @Override
    public String toString() {
        return numerator + "/" + denominator;
    }
}
