public class NegativeDenomException extends FractionException
{
    private int denom;
    
    public NegativeDenomException(int d) {
        denom = d;
    }
    
    public NegativeDenomException() {
    }
    
    public NegativeDenomException(String s) {
        super(s);
    }
    
    public NegativeDenomException(Throwable cause) {
        super(cause);
    }
    
    public NegativeDenomException(String s, Throwable cause) {
        super(s, cause);
    }
    
    public int getDenom() {
        return denom;
    }
}
